import { AlignSettings, BoundingRect, ElementRect, OffsetPosition, PositionSettings, ScrollInfo, ViewPort } from '@progress/kendo-popup-common';
import { Position } from '../models/Position';
/**
 * @hidden
 */
export declare class DOMService {
    addOffset(current: OffsetPosition, addition: OffsetPosition): OffsetPosition;
    align(settings: AlignSettings): OffsetPosition;
    boundingOffset(el: HTMLElement): BoundingRect;
    getWindow(): Window & typeof globalThis;
    isBodyOffset(el: HTMLElement): boolean;
    hasOffsetParent(el: HTMLElement): boolean | null;
    offset(el: HTMLElement): ElementRect;
    staticOffset(element: HTMLElement): ElementRect;
    position(element: HTMLElement, popup: HTMLElement): ElementRect;
    relativeOffset(el: HTMLElement, currentLocation: OffsetPosition): ElementRect;
    addScroll(rect: ElementRect, scroll: ScrollInfo): ElementRect;
    removeScroll(rect: ElementRect, scroll: ScrollInfo): ElementRect;
    restrictToView(settings: PositionSettings): Position;
    scrollPosition(el: HTMLElement): ScrollInfo;
    scrollableParents(el: HTMLElement): Array<HTMLElement>;
    stackingElementOffset(el: HTMLElement): ElementRect;
    stackingElementScroll(el: HTMLElement): ScrollInfo;
    stackingElementViewPort(el: HTMLElement): {
        height: number;
        width: number;
    };
    getRelativeContextElement(el: HTMLElement): HTMLElement;
    useRelativePosition(el: HTMLElement): boolean;
    windowViewPort(el: HTMLElement): ViewPort;
    zIndex(anchor: HTMLElement, container: HTMLElement): number;
    zoomLevel(): number;
    isZoomed(): boolean;
}
